College Football DataCollege Football Data
  • CollegeFootballData.com
  • Get API Key
  • Legacy Swagger UI
  • Getting Started
  • Official libraries
  • Methodology and resources
  • API Reference
Helpful Links
  • CFBD
  • Patreon
  • Gumroad
Data + Code Packs
  • Starter Pack
  • Model Training Pack
  • AI Launchpad
  • AI Builder Pack
Other Resources
  • Rad Sports Analytics
  • Blog
  • Basketball

A Rad Sports Analytics platform.

xdiscordgithub
Information
games
    /gamesget/games/teamsget/games/playersget/games/mediaget/games/weatherget/recordsget/calendarget/scoreboardget/game/box/advancedget
playoffs
    /playoffs/cfpget/playoffs/cfp/participantsget/playoffs/cfp/gamesget
drives
    /drivesget
plays
    /playsget/plays/typesget/plays/statsget/plays/stats/typesget/live/playsget
teams
    /teamsget/teams/fbsget/teams/matchupget/teams/atsget/rosterget/talentget
conferences
    /conferencesget
venues
    /venuesget
coaches
    /coachesget/coaches/profileget/coaches/seasonsget/coaches/tenuresget
players
    /player/searchget/player/usageget/player/season/overviewget/player/returningget/player/portalget
rankings
    /rankingsget
betting
    /linesget
recruiting
    /recruiting/playersget/recruiting/teamsget/recruiting/groupsget
ratings
    /ratings/coreget/ratings/spget/ratings/sp/conferencesget/ratings/srsget/ratings/srs/expandedget/ratings/eloget/ratings/fpiget
metrics
    /ppa/predictedget/ppa/teamsget/ppa/gamesget/ppa/players/gamesget/ppa/players/seasonget/metrics/wpget/metrics/wp/pregameget/metrics/fg/epget
stats
    /stats/player/seasonget/stats/player/successget/stats/player/success/gameget/stats/seasonget/stats/categoriesget/stats/season/advancedget/stats/game/advancedget/stats/game/havocget
draft
    /draft/teamsget/draft/positionsget/draft/picksget
adjustedMetrics
    /wepa/team/seasonget/wepa/players/passingget/wepa/players/rushingget/wepa/players/kickingget
info
    /infoget/info/usageget
Schemas
powered by Zudoku
College Football Data API
College Football Data API

conferences

Download schema

Conference names, abbreviations, and classifications.


GET
https://api.collegefootballdata.com
/conferences
Bearer

Returns the available conferences.

Responses

200

Ok

​Conference[]
Conference
id
​integer · int32 · required
name
​string · required
shortName
​string | null · required
abbreviation
​string | null · required
classification
​string · enum · required
Enum values:
fbs
fcs
ii
iii
GET/conferences
curl https://api.collegefootballdata.com/conferences \ --header 'Authorization: Bearer <token>'
Example Responses
[ { "id": 0, "name": "name", "shortName": "shortName", "abbreviation": "abbreviation", "classification": "fbs" } ]
json
application/json

teamsvenues